defmodule OpWeb.QueriLive.Show do
  use OpWeb, :live_view

  alias Op.Base

  @impl true
  def mount(_params, _session, socket) do
    {:ok, socket}
  end

  @impl true
  def handle_params(%{"id" => id}, _, socket) do
    {:noreply,
     socket
     |> assign(:page_title, page_title(socket.assigns.live_action))
     |> assign(:queri, Base.get_queri!(id))}
  end

  defp page_title(:show), do: "Show Queri"
  defp page_title(:edit), do: "Edit Queri"
end
